All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.taglib.servlet.tbeans
Class LabelTag

    com.sas.taglib.servlet.tbeans.LabelTag

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag, javax.servlet.jsp.tagext.TryCatchFinally

Direct Known Subclasses:
  CellContentsLabelRendererTag, TableFooterTag, TableTitleTag

    public class LabelTag

LabelTag is the tag handler class for the sas:Label custom tag . LabelTag is invoked by the JSP page to evaluate the sas:Label custom tag during the execution of the page. Tag handler methods are called by the JSP page implementation class at various points during the evaluation of the tag. The tag handler methods in turn call methods on the underlying Transformation Bean object, Label, to execute the methods.

If you need to extend or modify the functionality of the sas:Label custom tag, you can subclass this tag handler class.

For More Information:

Visit the AppDev Studio Developer's Site to access step-by-step examples, white papers and additional usage information at http://support.sas.com/rnd/appdev/.

Refer to the Custom Tag Library Reference for usage information on the sas:Label custom tag.

Note: A snapshot of the AppDev Studio Developers Site is installed on your local Web server when you install AppDev Studio. To access the site from webAF, select Help -> Developer Site.

See Also:
  Serialized Form

Field Summary
`protected java.lang.Boolean` | `encodedURL`
`protected java.lang.Boolean` | `encodeText`
`protected java.lang.String` | `labelFor`
`protected java.lang.String` | `model`
`protected java.lang.String` | `nullTextString`
`protected java.lang.String` | `target`
`protected java.lang.String` | `text`
`protected java.lang.String` | `url`

Fields inherited from class com.sas.taglib.BaseBodyTag
`DELIMITERS, RB_KEY`

Constructor Summary
`LabelTag()`

Method Summary
`protected void` | `applyAttributes()` Sets the basic attributes (request,name,prolog,epilog) common to all Transformation Beans.
`int` | `doStartTag()` Process the start tag for this instance.
`boolean` | `getEncodedURL()` Gets the encodedURL attribute (boolean) of the LabelTag.
`java.lang.String` | `getFor()` Gets the for attribute (String) of the LabelTag.
`java.lang.String` | `getModel()` Gets the model attribute (String) of the LabelTag.
`java.lang.String` | `getNullTextString()` Gets the nullTextString attribute (String) of the LabelTag.
`java.lang.String` | `getTarget()` Gets the target attribute (String) of the LabelTag.
`java.lang.String` | `getText()` Gets the text attribute (String) of the LabelTag.
`java.lang.String` | `getURL()` Gets the URL attribute (String) of the LabelTag.
`protected void` | `initialize(boolean includeAttributes)` Initializes attributes and variables for this tag handler.
`boolean` | `isEncodeText()` Gets the encodeText attribute (boolean) of the LabelTag.
`void` | `setEncodedURL(boolean encode)` Sets the encodedURL attribute (boolean) of the LabelTag.
`void` | `setEncodeText(boolean encodeText)` Sets the encodedText attribute (boolean) of the LabelTag.
`void` | `setFor(java.lang.String id)` Sets the for attribute (String) of the LabelTag.
`void` | `setModel(java.lang.String model)` Sets the model attribute (String) of the LabelTag.
`void` | `setNullTextString(java.lang.String nullTextString)` Sets the nullTextString attribute (String) of the LabelTag.
`void` | `setTarget(java.lang.String target)` Sets the target attribute (String) of the LabelTag.
`void` | `setText(java.lang.String text)` Sets the text attribute (String) of the LabelTag.
`void` | `setURL(java.lang.String url)` Sets the URL attribute (String) of the LabelTag.

Methods inherited from class com.sas.taglib.servlet.tbeans.BaseTransformationBodyTag
`doEndTag, getCustomAttributes, getEpilog, getLocale, getName, getObjectDataProperty, getProlog, getRender, getRenderType, setCustomAttributes, setEpilog, setLocale, setName, setObjectDataProperty, setProlog, setRender, setRenderType`

Methods inherited from class com.sas.taglib.BaseBodyTag
`doCatch, doFinally, getApplyAttributes, getBodyStrings, getCompositeComponentKey, getInstantiate, getPageContext, getRef, getScope, getTagScope, getWrappedClassName, getWrappedObject, getWrappedObject, loadBeanInstance, newInstance, release, removeFromScope, searchContext, setApplyAttributes, setCompositeComponentKey, setInstantiate, setRef, setScope, setTagScope, setVariableWithinScope, setWrappedClassName, setWrappedObject, validate`

Field Detail

### text

    protected java.lang.String text

### url

    protected java.lang.String url

### model

    protected java.lang.String model

### target

    protected java.lang.String target

### labelFor

    protected java.lang.String labelFor

### nullTextString

    protected java.lang.String nullTextString

### encodedURL

    protected java.lang.Boolean encodedURL

### encodeText

    protected java.lang.Boolean encodeText

Constructor Detail

### LabelTag

    public LabelTag()

Method Detail

### initialize

    protected void initialize(boolean includeAttributes)

  Initializes attributes and variables for this tag handler.

  Overrides:
    `initialize` in class `BaseTransformationBodyTag`
  Parameters:
    `includeAttributes` - Set to true if attributes are to be set to default values.

### setText

    public void setText(java.lang.String text)

  Sets the text attribute (String) of the LabelTag.

  Parameters:
    `text` - Text string that is displayed

### setURL

    public void setURL(java.lang.String url)

  Sets the URL attribute (String) of the LabelTag.

  Parameters:
    `url` - The URL to which the text should be linked.

### setEncodedURL

    public void setEncodedURL(boolean encode)

  Sets the encodedURL attribute (boolean) of the LabelTag. Valid values are: true, false.

  Parameters:
    `encode` - Specifies whether to encode the URL.

### setEncodeText

    public void setEncodeText(boolean encodeText)

  Sets the encodedText attribute (boolean) of the LabelTag. Valid values are: true, false.

  Parameters:
    `encodeText` - Specifies whether to encode the Label text for html, such as replacing < with &lt;

### setTarget

    public void setTarget(java.lang.String target)

  Sets the target attribute (String) of the LabelTag.

  Parameters:
    `target` - The value of the TARGET= argument on the anchor tag

### setModel

    public void setModel(java.lang.String model)

  Sets the model attribute (String) of the LabelTag.

  Parameters:
    `model` - The StringDataInterface model for the LabelTag

### setFor

    public void setFor(java.lang.String id)

  Sets the for attribute (String) of the LabelTag.

  Parameters:
    `id` - Id of the element this Label is for

### setNullTextString

    public void setNullTextString(java.lang.String nullTextString)

  Sets the nullTextString attribute (String) of the LabelTag.

  Parameters:
    `nullTextString` - Written out if the label's text is null.

### getText

    public java.lang.String getText()

  Gets the text attribute (String) of the LabelTag.

  Returns:
    text string that is displayed

### getURL

    public java.lang.String getURL()

  Gets the URL attribute (String) of the LabelTag.

  Returns:
    the URL to which the text should be linked.

### getEncodedURL

    public boolean getEncodedURL()

  Gets the encodedURL attribute (boolean) of the LabelTag.

  Returns:
    specifies whether to encode the URL.

### isEncodeText

    public boolean isEncodeText()

  Gets the encodeText attribute (boolean) of the LabelTag.

  Returns:
    specifies whether to encode the Label text.

### getTarget

    public java.lang.String getTarget()

  Gets the target attribute (String) of the LabelTag.

  Returns:
    target

### getModel

    public java.lang.String getModel()

  Gets the model attribute (String) of the LabelTag.

  Parameters:
    `model` -

### getFor

    public java.lang.String getFor()

  Gets the for attribute (String) of the LabelTag.

  Returns:
    id Id of the element this Label is for

### getNullTextString

    public java.lang.String getNullTextString()

  Gets the nullTextString attribute (String) of the LabelTag.

  Returns:
    The value written out if the label's text is null.

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Process the start tag for this instance. The doStartTag() method assumes that all setter methods have been invoked before. When this method is invoked, the body has not yet been invoked.

  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doStartTag` in class `BaseTransformationBodyTag`
  Returns:
    int designating the next course of action for the tag/jsp page.
  Throws:
    `javax.servlet.jsp.JspException` - Thrown if a JspException occurs.
  See Also:
    `BaseBodyTag.setInstantiate(boolean)`, `TagSupport.doStartTag()`

### applyAttributes

    protected void applyAttributes()
                            throws javax.servlet.jsp.JspException

  Description copied from class: `BaseTransformationBodyTag`
  Sets the basic attributes (request,name,prolog,epilog) common to all Transformation Beans.

  Overrides:
    `applyAttributes` in class `BaseTransformationBodyTag`
  Throws:
    `javax.servlet.jsp.JspException` - Thrown if a JspException occurs.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.